Download it now!
Bug 68204 - Apply the SAFESEH, DYNAMICBASE, and NXCOMPAT linker options to external modules
Summary: Apply the SAFESEH, DYNAMICBASE, and NXCOMPAT linker options to external modules
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 18:42 UTC by Jesus Corrius
Modified: 2019-12-03 14:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesus Corrius 2013-08-16 18:42:21 UTC
Apply the SAFESEH, DYNAMICBASE, and NXCOMPAT linker options to external modules:

python, nss, mozilla, etc.

here's the full list of generated libraries:

File C:\Windows\SysWOW64\msvcr100.dll has failed the ExecutableImportsCheck check.
File C:\Windows\SysWOW64\msvcp100.dll has failed the ExecutableImportsCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python33.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\winsound.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\unicodedata.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\select.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\pyexpat.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-9.0.exe has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-9.0.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-9.0-amd64.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-8.0.exe has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-8.0.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-7.1.exe has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-7.1.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-7.1.exe has failed the SafeSEHCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-6.0.exe has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-6.0.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-6.0.exe has failed the SafeSEHCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-10.0.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\distutils\command\wininst-10.0-amd64.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_testcapi.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_testbuffer.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_ssl.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_socket.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_multiprocessing.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_msi.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_elementtree.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_decimal.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_ctypes_test.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\lib\_ctypes.pyd has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\python-core-3.3.0\bin\python.exe has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom_core.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom_core.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom_compat.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom_compat.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\xpcom.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\nsldappr32v50.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\nsldappr32v50.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\nsldap32v50.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\nsldap32v50.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\msgbsutl.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\msgbsutl.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\mozz.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\mozz.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\js3250.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\js3250.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xppref32.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xppref32.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xpcom_compat_c.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xpcom_compat_c.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xpc3250.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\xpc3250.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\vcard.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\vcard.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\uconv.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\uconv.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\rdf.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\rdf.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\profile.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\profile.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\pipnss.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\pipnss.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\necko.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\necko.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\mozldap.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\mozldap.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\mork.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\mork.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\i18n.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\i18n.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\addrbook.dll has failed the NXCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\components\addrbook.dll has failed the DBCheck check.
File C:\Program Files (x86)\LibreOffice 4\program\sblo.dll has failed the SafeSEHCheck check.
Comment 1 David Tardon 2013-08-19 13:36:41 UTC
(In reply to comment #0)
> File C:\Windows\SysWOW64\msvcr100.dll has failed the ExecutableImportsCheck
> check.
> File C:\Windows\SysWOW64\msvcp100.dll has failed the ExecutableImportsCheck
> check.

Heh, these two are copied from the system .-)

> 4\program\python-core-3.3.0\lib\distutils\command\wininst-9.0.exe has failed

Do we need to install this at all? (I have no idea what it is used for...)

> File C:\Program Files (x86)\LibreOffice 4\program\xpcom_core.dll has failed
> the NXCheck check.

The mozilla libs are not really built (except for nss), but unpacked from pre-built tarball. See moz/ExternalPackage_runtime.mk .

> File C:\Program Files (x86)\LibreOffice 4\program\sblo.dll has failed the
> SafeSEHCheck check.

Poke around basic/Library_sb.mk to check why this library (of all the libo libraries) fails that check.
Comment 2 QA Administrators 2015-04-01 14:40:38 UTC Comment hidden (obsolete)
Comment 3 tommy27 2016-04-16 07:26:50 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-05-22 13:23:06 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:12:00 UTC
Dear Jesus Corrius,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug